Technical FAQs

Ask a Question

Are current TeSys GV2ME*, GV2P**, GV2L*, GV2LE*, GV2RT* and old contact blocks (GV2AE*, GV2AN*, GV2AD*, GV2AM11) of GV2M* compatible.

Yes, current TeSys GV2ME*, GV2P**, GV2L*, GV2LE*, GV2RT* and old contact blocks (GV2AE*, GV2AN*, GV2AD*, GV2AM11) of GV2M* are compatible.
Was this helpful?
What can we do to improve the information ?